Skip to main content
GET
/
:projectId
/
users
/
:userId
/
followers
Fetch Followers
curl --request GET \
  --url https://api.replyke.com/api/v6/:projectId/users/:userId/followers
import requests

url = "https://api.replyke.com/api/v6/:projectId/users/:userId/followers"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.replyke.com/api/v6/:projectId/users/:userId/followers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Get list of accounts that follow a specific user. This is a public endpoint that does not require authentication.

Request

Path Parameters

ParameterTypeRequiredDescription
userIdstringYesID of the user to get followers for

Query Parameters

ParameterTypeRequiredDescription
pagenumberNoPage number (default: 1)
limitnumberNoItems per page (default: 20, max: 100)

Headers

None

Body Parameters

None

Example Request

GET /users/user-uuid-123/followers?page=1&limit=20

Response

Success Response (200 OK)

{
  "followers": [
    {
      "followId": "follow-uuid",
      "user": {
        "id": "user-uuid",
        "name": "Jane Smith",
        "username": "janesmith",
        "avatar": "https://example.com/avatar.jpg",
        "bio": "Product Manager",
        "reputation": 200
      },
      "followedAt": "2024-01-01T10:00:00.000Z"
    }
  ],
  "pagination": {
    "currentPage": 1,
    "totalPages": 18,
    "totalCount": 342,
    "hasNextPage": true,
    "hasPreviousPage": false,
    "limit": 20
  }
}

Error Responses

Server Error (500 Internal Server Error)

{
  "error": "Internal server error",
  "code": "follow/server-error"
}

Notes

  • This endpoint does not require authentication
  • Returns paginated list of users following the specified user
  • Each follower includes user details and when they followed
  • Public endpoint accessible to all users
  • Default pagination: 20 items per page, maximum 100 items per page
  • Rate limiting: 100 requests per 5 minutes